#!/bin/bash

INSTALACAO() {

# Dependencias do ast e dahdi

debconf-apt-progress -- apt-get -y install build-essential libncurses5-dev libxml2-dev libsqlite3-dev libssl-dev linux-headers-$(uname -r) gcc g++ make libnewt-dev libncurses5-dev openssl libssl-dev zlib1g-dev subversion


if [ "$versao_ast" -eq "12" ];
 then
        debconf-apt-progress -- apt-get -y install uuid-dev

        cd /usr/src
        URL="http://www.digip.org/jansson/releases/jansson-2.6.tar.gz"
        wget "$URL" 2>&1 | \
        stdbuf -o0 awk '/[.] +[0-9][0-9]?[0-9]?%/ { print substr($0,63,3) }' | \
        dialog  --backtitle "Instalacao Asterisk " \
        --gauge "Baixando Pacote janson " 10 100

        if [ -e jansson-2.6.tar.gz ];
        then
                tar -xf jansson-2.6.tar.gz
                cd jansson-2.6*
                ./configure --prefix=/usr/ && make clean && make && make install && ldconfig
        fi
fi


cd /usr/src

URL="http://downloads.asterisk.org/pub/telephony/asterisk/asterisk-$versao_ast-current.tar.gz"
wget "$URL" 2>&1 | \
stdbuf -o0 awk '/[.] +[0-9][0-9]?[0-9]?%/ { print substr($0,63,3) }' | \
dialog  --backtitle "Instalacao Asterisk " \
--gauge "Baixando asterisk $versao_ast" 10 100

URL="http://downloads.asterisk.org/pub/telephony/dahdi-linux-complete/dahdi-linux-complete-current.tar.gz"
wget "$URL" 2>&1 | \
stdbuf -o0 awk '/[.] +[0-9][0-9]?[0-9]?%/ { print substr($0,63,3) }' | \
dialog --backtitle "Instalacao Asterisk " \
--gauge "Baixando dahdi-complete" 10 100

dialog \
--backtitle "Instalacao Asterisk " \
--msgbox 'Agora com os pacotes baixados e as dependencias instaladas.
Vamos comecar a fazer a compilacao do DAHDI e ASTERISK.
Nao iremos esconder o processo de compilacao, para que voce entenda
e comece a se acostumar com o processo.

Aperte OK e iremos iniciar o processo.

Obrigado.' \
13 100
	

if [ -e dahdi-linux-complete-current.tar.gz ];
 then
	tar -xf dahdi-linux-complete-current.tar.gz
        cd dahdi-linux-complete-*
	make clean && make all && make install && make config
fi
             
cd /usr/src	

if [ -e asterisk-$versao_ast-current.tar.gz ];
 then
	tar -xf asterisk-$versao_ast-current.tar.gz
	cd asterisk-$versao_ast.*
	./configure && make menuselect && make && make install && make samples
fi

# Inicializa o Dahdi

/etc/init.d/dahdi restart

inicio=`cat /etc/init.d/rc.local | grep safe_asterisk`

if [ -z $inicio ];
 then
	echo safe_asterisk >> /etc/init.d/rc.local
	safe_asterisk
fi
	
}

INSTALL_SOURCE() {

opcao=$( \
	dialog \
        --stdout \
        --backtitle "Instalacao Asterisk " \
        --radiolist 'Escolha a versao do asterisk' \
        0 0 0 \
        1.8 'asterisk-1.8-current.tar.gz' off \
        11 'asterisk-11-current.tar.gz' on \
        12 'asterisk-12-current.tar.gz' off \
)

case $opcao in

1.8)
	versao_ast="1.8"
	INSTALACAO
	;;

11)
	versao_ast="11"
	INSTALACAO
	
        ;;

12)

	versao_ast="12"
	INSTALACAO
	
        ;;
esac

}


